Bug 41333 - [PATCH] Reworked IIS config getting to remove duplication
[PATCH] Reworked IIS config getting to remove duplication
Status: CLOSED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
Other other
: P3 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-01-09 12:39 UTC by Tim Whittington
Modified: 2008-10-05 03:09 UTC (History)
0 users



Attachments
Refactored read_registry_init_data (8.88 KB, patch)
2007-01-09 12:40 UTC, Tim Whittington
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Whittington 2007-01-09 12:39:31 UTC
This patch refactors read_registry_init_data to remove the duplication between
the ini file and registry variants.
There is now one sequence of config getters, with individual parameters
retrieved from ini file or registry.

Some disparities are also corrected, particularly the parsing of booleans is now
standardised.

Also fixed a minor bug in the registry getter and closed the ini file map after
use (minor memory leak).
Comment 1 Tim Whittington 2007-01-09 12:40:02 UTC
Created attachment 19383 [details]
Refactored read_registry_init_data

Attaching patch
Comment 2 Rainer Jung 2007-01-28 11:51:03 UTC
Thanks. Commited 98% after testing.
Will be part of 1.2.21.
Comment 3 Rainer Jung 2008-01-01 16:51:30 UTC
Move a couple of fixed JK issues from resolved to closed.